unit CommandLigne;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, Mask, DBCtrls, ExtCtrls, Db, DBTables;

type
  TfrCommandLigne = class(TForm)
    Panel1: TPanel;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    lbProduct: TLabel;
    lbPrice: TLabel;
    lbQantity: TLabel;
    btOK: TButton;
    btCancel: TButton;
    DBLookupComboBox1: TDBLookupComboBox;
    procedure FormActivate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frCommandLigne: TfrCommandLigne;

implementation

uses uDM;

{$R *.DFM}

procedure TfrCommandLigne.FormActivate(Sender: TObject);
begin
  ActiveControl := DBLookupComboBox1;
end;

procedure TfrCommandLigne.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if (DM.dsCommandLigne.State in dsEditModes) then
  begin
    if ModalResult = mrOk then
    begin
      DM.tbCommandLigne.Post;
    end
    else
    begin
      if (MessageDlg('Unsaved changes, exit anyway?', mtConfirmation,
        [mbYes, mbCancel], 0) = mrYes) then
      begin
        DM.tbCommandLigne.Cancel;
        CanClose := True
      end
      else
        CanClose := False
    end
  end
  else
    CanClose := True;
end;

end.
