unit uLoadSave;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  kbmMemTable, Db, DBTables, StdCtrls, ExtCtrls, Grids, DBGrids, DBCtrls;

type
  TfrMainForm = class(TForm)
    Panel1: TPanel;
    btCopy: TButton;
    btSave: TButton;
    tbCustomer: TTable;
    kbmCustomer: TkbmMemTable;
    tbProduct: TTable;
    tbCommand: TTable;
    tbCommandLigne: TTable;
    kbmProduct: TkbmMemTable;
    kbmCommand: TkbmMemTable;
    kbmCommandLigne: TkbmMemTable;
    Database1: TDatabase;
    DBNavigator1: TDBNavigator;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    btLoad: TButton;
    procedure btCopyClick(Sender: TObject);
    procedure btSaveClick(Sender: TObject);
    procedure btLoadClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frMainForm: TfrMainForm;

implementation

{$R *.DFM}



procedure TfrMainForm.btCopyClick(Sender: TObject);
begin
  kbmCustomer.LoadFromDataSet(tbCustomer, [mtcpoStructure, mtcpoProperties]);
  kbmProduct.LoadFromDataSet(tbProduct, [mtcpoStructure, mtcpoProperties]);
  kbmCommand.LoadFromDataSet(tbCommand, [mtcpoStructure, mtcpoProperties]);
  kbmCommandLigne.LoadFromDataSet(tbCommandLigne, [mtcpoStructure, mtcpoProperties]);
end;

procedure TfrMainForm.btSaveClick(Sender: TObject);
var
  Options: TkbmMemTableSaveFlags;
begin
  Options := [mtfSaveDef, mtfSaveFieldKind, mtfSaveIndexDef];

  kbmCustomer.SaveToBinaryFile('H:\LMKit\DataBin\tbCustomer.bin', Options);
  kbmProduct.SaveToBinaryFile('H:\LMKit\DataBin\tbProduct.bin', Options);
  kbmCommand.SaveToBinaryFile('H:\LMKit\DataBin\tbCommand.bin', Options);
  kbmCommandLigne.SaveToBinaryFile('H:\LMKit\DataBin\tbCommandLigne.bin', Options);
end;

procedure TfrMainForm.btLoadClick(Sender: TObject);
begin
  kbmCustomer.DisableControls;
  if not kbmCustomer.Active then
  begin
    kbmCustomer.Open;
    kbmCustomer.LoadFromBinaryFile('H:\LMKit\DataBin\tbCustomer.bin');
    kbmCustomer.Open;
  end;
  kbmCustomer.EnableControls;
end;

end.

